Bug 184723 - Issue with security/libscrypt
Summary: Issue with security/libscrypt
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rusmir Dusko
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-12 13:30 UTC by Reed Loefgren
Modified: 2013-12-16 17:00 UTC (History)
0 users

See Also:


Attachments
libscrypt.diff (1.34 KB, patch)
2013-12-13 13:13 UTC, Horia Racoviceanu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Reed Loefgren 2013-12-12 13:30:01 UTC
Probably nothing but last night when doing a make clean on the ports directory it failed with this error:
..
===>  Cleaning for libp11-0.2.8
===> security/libprelude
===>  Cleaning for libprelude-1.0.1_3
===> security/libpreludedb
===>  Cleaning for libpreludedb-1.0.1p1_2
===> security/libpwstor
===>  Cleaning for libpwstor-0.1
===> security/libscrypt
Unknown modifier 't'

"Makefile", line 37: Malformed conditional (!empty(CCVERSION:tl:M*gcc*))
"Makefile", line 40: if-less endif
make: fatal errors encountered -- cannot continue
*** Error code 1

Stop in /usr/ports/security.
*** Error code 1

Stop in /usr/ports.

So I went there:

orange [128] [12:22am] [/usr/ports]$ mv security/libscrypt /tmp/libscrypt
orange [129] [6:04am] [/usr/ports]$ less /tmp/libscrypt/Makefile 
# Created by: Horia Racoviceanu <horia@racoviceanu.com>
# $FreeBSD: head/security/libscrypt/Makefile 333338 2013-11-09 21:30:28Z jpaetzel $

PORTNAME=       libscrypt
PORTVERSION=    1.14
CATEGORIES=     security

MAINTAINER=     horia@racoviceanu.com
COMMENT=        C library for the scrypt key derivation function

LICENSE=        BSD

NO_STAGE=       yes
USE_LDCONFIG=   yes
USE_GITHUB=     yes
GH_ACCOUNT=     technion
GH_COMMIT=      8e6966e
GH_TAGNAME=     ${GH_COMMIT}

PLIST_FILES=    include/libscrypt.h \
                lib/libscrypt.a \
                lib/libscrypt.so \
                lib/libscrypt.so.0

.include <bsd.port.pre.mk>

post-patch:
        @${REINPLACE_CMD} -e '/^CC=gcc/d' -e '/CFLAGS=/s,$$, ${CFLAGS},' \
..skipping...
.if !empty(CCVERSION:tl:M*gcc*)
CFLAGS+=    -fno-stack-protector
.endif
                -e 's,$$(LDFLAGS),,' ${WRKSRC}/Makefile

regression-test: build
        (cd ${WRKSRC} && ${SETENV} ${MAKE_ENV} ${MAKE} check)

.if ${ARCH} == i386
CCVERSION!= ${CC} --version
.if !empty(CCVERSION:tl:M*gcc*)
CFLAGS+=    -fno-stack-protector
.endif
.endif

.include <bsd.port.post.mk>
~
~
<end>

Probably just a corrupt svn update. I'd done several, trying to get owncloud to cut it out with the blank screen (FWIW, known, and to be fixed in the next update). I'm programming ignorant but think I see the problem. Something so obvious in a Makefile?

Kindest regards,

Reed

How-To-Repeat: Don't know. Move port, re-svn and compare Makefiles.
Comment 1 Edwin Groothuis freebsd_committer 2013-12-12 13:49:52 UTC
Maintainer of security/libscrypt,

Please note that PR ports/184723 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/184723

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-12-12 13:49:53 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Rusmir Dusko freebsd_committer 2013-12-13 10:32:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nemysis

I'll take it.
Comment 4 Horia Racoviceanu 2013-12-13 13:13:31 UTC
- Bump PORTREVISION
- Change license BSD --> BSD2CLAUSE
- Change REINPLACE_CMD
- Fix tabs
- Remove NO_STAGE

Build log:
https://redports.org/buildarchive/20131213084819-49003/

I could not reproduce:
Unknown modifier 't'

:tl Converts variable to lower-case letters.
http://www.freebsd.org/cgi/man.cgi?query=make
Comment 5 Rusmir Dusko freebsd_committer 2013-12-16 16:49:52 UTC
State Changed
From-To: feedback->closed

Maintainer have fixed. Thanks!
Comment 6 dfilter service freebsd_committer 2013-12-16 16:50:06 UTC
Author: nemysis
Date: Mon Dec 16 16:49:59 2013
New Revision: 336645
URL: http://svnweb.freebsd.org/changeset/ports/336645

Log:
  - Bump PORTREVISION
  - Change license BSD --> BSD2CLAUSE
  - Add USES compiler
  - Add DOCS and Option
  - Change REINPLACE_CMD
  - Fix build, tabs
  - Support STAGEDIR
  
  PR:		ports/184723
  Submitted by:	Reed Loefgren <rloefgren@forethought.net>
  Approved by:	wg (mentor)

Modified:
  head/security/libscrypt/Makefile

Modified: head/security/libscrypt/Makefile
==============================================================================
--- head/security/libscrypt/Makefile	Mon Dec 16 15:49:55 2013	(r336644)
+++ head/security/libscrypt/Makefile	Mon Dec 16 16:49:59 2013	(r336645)
@@ -3,40 +3,47 @@
 
 PORTNAME=	libscrypt
 PORTVERSION=	1.14
+PORTREVISION=	1
 CATEGORIES=	security
 
 MAINTAINER=	horia@racoviceanu.com
 COMMENT=	C library for the scrypt key derivation function
 
-LICENSE=	BSD
+LICENSE=	BSD2CLAUSE
 
-NO_STAGE=	yes
+USES=		compiler
 USE_LDCONFIG=	yes
 USE_GITHUB=	yes
 GH_ACCOUNT=	technion
-GH_COMMIT=	8e6966e
 GH_TAGNAME=	${GH_COMMIT}
+GH_COMMIT=	8e6966e
 
 PLIST_FILES=	include/libscrypt.h \
 		lib/libscrypt.a \
 		lib/libscrypt.so \
 		lib/libscrypt.so.0
 
-.include <bsd.port.pre.mk>
+PORTDOCS=	README.md
+
+OPTIONS_DEFINE=	DOCS
 
 post-patch:
-	@${REINPLACE_CMD} -e '/^CC=gcc/d' -e '/CFLAGS=/s,$$, ${CFLAGS},' \
-		-e 's,/usr/local,${PREFIX},' -e 's,install: library,& install-static,' \
-		-e 's,$$(LDFLAGS),,' ${WRKSRC}/Makefile
+	@${REINPLACE_CMD} -e '/^CC=gcc/d' -e '/CFLAGS=/s|$$| ${CFLAGS}|' \
+		-e 's|/usr/local|${PREFIX}| ; \
+		s|install: library|& install-static| ; \
+		s|$$(LDFLAGS)||' ${WRKSRC}/Makefile
 
 regression-test: build
 	(cd ${WRKSRC} && ${SETENV} ${MAKE_ENV} ${MAKE} check)
 
-.if ${ARCH} == i386
-CCVERSION!= ${CC} --version
-.if !empty(CCVERSION:tl:M*gcc*)
-CFLAGS+=    -fno-stack-protector
-.endif
+post-install:
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${STAGEDIR}${DOCSDIR}
+
+.include <bsd.port.pre.mk>
+
+.if ${ARCH} == i386 && ${COMPILER_TYPE} == gcc
+CFLAGS+=	-fno-stack-protector
 .endif
 
 .include <bsd.port.post.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"